ClockRandSeed;

trialTest = [1	100	0	0	0	0	0	0	1
100	1	0	0	0	0	0	0	1
100	0	1	0	0	0	0	0	1
100	0	0	1	0	0	0	0	1
100	0	0	0	1	0	0	0	1
100	0	0	0	0	1	0	0	1
2	100	0	0	0	0	1	0	1
100	2	0	0	0	0	1	0	1
100	0	2	0	0	0	1	0	1
100	0	0	2	0	0	1	0	1
100	0	0	0	2	0	1	0	1
100	0	0	0	0	2	1	0	1
1	200	0	0	0	0	0	0	2
200	1	0	0	0	0	0	0	2
200	0	1	0	0	0	0	0	2
200	0	0	1	0	0	0	0	2
200	0	0	0	1	0	0	0	2
200	0	0	0	0	1	0	0	2
2	200	0	0	0	0	1	0	2
200	2	0	0	0	0	1	0	2
200	0	2	0	0	0	1	0	2
200	0	0	2	0	0	1	0	2
200	0	0	0	2	0	1	0	2
200	0	0	0	0	2	1	0	2
1	0	100	0	0	0	0	0	1
0	1	100	0	0	0	0	0	1
0	100	1	0	0	0	0	0	1
0	100	0	1	0	0	0	0	1
0	100	0	0	1	0	0	0	1
0	100	0	0	0	1	0	0	1
2	0	100	0	0	0	1	0	1
0	2	100	0	0	0	1	0	1
0	100	2	0	0	0	1	0	1
0	100	0	2	0	0	1	0	1
0	100	0	0	2	0	1	0	1
0	100	0	0	0	2	1	0	1
1	0	200	0	0	0	0	0	2
0	1	200	0	0	0	0	0	2
0	200	1	0	0	0	0	0	2
0	200	0	1	0	0	0	0	2
0	200	0	0	1	0	0	0	2
0	200	0	0	0	1	0	0	2
2	0	200	0	0	0	1	0	2
0	2	200	0	0	0	1	0	2
0	200	2	0	0	0	1	0	2
0	200	0	2	0	0	1	0	2
0	200	0	0	2	0	1	0	2
0	200	0	0	0	2	1	0	2
1	0	0	100	0	0	0	0	1
0	1	0	100	0	0	0	0	1
0	0	1	100	0	0	0	0	1
0	0	100	1	0	0	0	0	1
0	0	100	0	1	0	0	0	1
0	0	100	0	0	1	0	0	1
2	0	0	100	0	0	1	0	1
0	2	0	100	0	0	1	0	1
0	0	2	100	0	0	1	0	1
0	0	100	2	0	0	1	0	1
0	0	100	0	2	0	1	0	1
0	0	100	0	0	2	1	0	1
1	0	0	200	0	0	0	0	2
0	1	0	200	0	0	0	0	2
0	0	1	200	0	0	0	0	2
0	0	200	1	0	0	0	0	2
0	0	200	0	1	0	0	0	2
0	0	200	0	0	1	0	0	2
2	0	0	200	0	0	1	0	2
0	2	0	200	0	0	1	0	2
0	0	2	200	0	0	1	0	2
0	0	200	2	0	0	1	0	2
0	0	200	0	2	0	1	0	2
0	0	200	0	0	2	1	0	2
1	0	0	0	100	0	0	0	1
0	1	0	0	100	0	0	0	1
0	0	1	0	100	0	0	0	1
0	0	0	1	100	0	0	0	1
0	0	0	100	1	0	0	0	1
0	0	0	100	0	1	0	0	1
2	0	0	0	100	0	1	0	1
0	2	0	0	100	0	1	0	1
0	0	2	0	100	0	1	0	1
0	0	0	2	100	0	1	0	1
0	0	0	100	2	0	1	0	1
0	0	0	100	0	2	1	0	1
1	0	0	0	200	0	0	0	2
0	1	0	0	200	0	0	0	2
0	0	1	0	200	0	0	0	2
0	0	0	1	200	0	0	0	2
0	0	0	200	1	0	0	0	2
0	0	0	200	0	1	0	0	2
2	0	0	0	200	0	1	0	2
0	2	0	0	200	0	1	0	2
0	0	2	0	200	0	1	0	2
0	0	0	2	200	0	1	0	2
0	0	0	200	2	0	1	0	2
0	0	0	200	0	2	1	0	2
1	0	0	0	0	100	0	0	1
0	1	0	0	0	100	0	0	1
0	0	1	0	0	100	0	0	1
0	0	0	1	0	100	0	0	1
0	0	0	0	1	100	0	0	1
0	0	0	0	100	1	0	0	1
2	0	0	0	0	100	1	0	1
0	2	0	0	0	100	1	0	1
0	0	2	0	0	100	1	0	1
0	0	0	2	0	100	1	0	1
0	0	0	0	2	100	1	0	1
0	0	0	0	100	2	1	0	1
1	0	0	0	0	200	0	0	2
0	1	0	0	0	200	0	0	2
0	0	1	0	0	200	0	0	2
0	0	0	1	0	200	0	0	2
0	0	0	0	1	200	0	0	2
0	0	0	0	200	1	0	0	2
2	0	0	0	0	200	1	0	2
0	2	0	0	0	200	1	0	2
0	0	2	0	0	200	1	0	2
0	0	0	2	0	200	1	0	2
0	0	0	0	2	200	1	0	2
0	0	0	0	200	2	1	0	2
1	0	0	0	0	0	0	0	0
0	1	0	0	0	0	0	0	0
0	0	1	0	0	0	0	0	0
0	0	0	1	0	0	0	0	0
0	0	0	0	1	0	0	0	0
0	0	0	0	0	1	0	0	0
2	0	0	0	0	0	1	0	0
0	2	0	0	0	0	1	0	0
0	0	2	0	0	0	1	0	0
0	0	0	2	0	0	1	0	0
0	0	0	0	2	0	1	0	0
0	0	0	0	0	2	1	0	0
1	0	0	0	0	0	0	0	0
0	1	0	0	0	0	0	0	0
0	0	1	0	0	0	0	0	0
0	0	0	1	0	0	0	0	0
0	0	0	0	1	0	0	0	0
0	0	0	0	0	1	0	0	0
2	0	0	0	0	0	1	0	0
0	2	0	0	0	0	1	0	0
0	0	2	0	0	0	1	0	0
0	0	0	2	0	0	1	0	0
0	0	0	0	2	0	1	0	0
0	0	0	0	0	2	1	0	0
1	0	0	0	0	0	0	0	0
0	1	0	0	0	0	0	0	0
0	0	1	0	0	0	0	0	0
0	0	0	1	0	0	0	0	0
0	0	0	0	1	0	0	0	0
0	0	0	0	0	1	0	0	0
2	0	0	0	0	0	1	0	0
0	2	0	0	0	0	1	0	0
0	0	2	0	0	0	1	0	0
0	0	0	2	0	0	1	0	0
0	0	0	0	2	0	1	0	0
0	0	0	0	0	2	1	0	0
1	0	0	0	0	0	0	0	0
0	1	0	0	0	0	0	0	0
0	0	1	0	0	0	0	0	0
0	0	0	1	0	0	0	0	0
0	0	0	0	1	0	0	0	0
0	0	0	0	0	1	0	0	0
2	0	0	0	0	0	1	0	0
0	2	0	0	0	0	1	0	0
0	0	2	0	0	0	1	0	0
0	0	0	2	0	0	1	0	0
0	0	0	0	2	0	1	0	0
0	0	0	0	0	2	1	0	0
1	0	0	0	0	0	0	0	0
0	1	0	0	0	0	0	0	0
0	0	1	0	0	0	0	0	0
0	0	0	1	0	0	0	0	0
0	0	0	0	1	0	0	0	0
0	0	0	0	0	1	0	0	0
2	0	0	0	0	0	1	0	0
0	2	0	0	0	0	1	0	0
0	0	2	0	0	0	1	0	0
0	0	0	2	0	0	1	0	0
0	0	0	0	2	0	1	0	0
0	0	0	0	0	2	1	0	0
1	0	0	0	0	0	0	0	0
0	1	0	0	0	0	0	0	0
0	0	1	0	0	0	0	0	0
0	0	0	1	0	0	0	0	0
0	0	0	0	1	0	0	0	0
0	0	0	0	0	1	0	0	0
2	0	0	0	0	0	1	0	0
0	2	0	0	0	0	1	0	0
0	0	2	0	0	0	1	0	0
0	0	0	2	0	0	1	0	0
0	0	0	0	2	0	1	0	0
0	0	0	0	0	2	1	0	0
1	0	0	0	0	0	0	0	0
0	1	0	0	0	0	0	0	0
0	0	1	0	0	0	0	0	0
0	0	0	1	0	0	0	0	0
0	0	0	0	1	0	0	0	0
0	0	0	0	0	1	0	0	0
2	0	0	0	0	0	1	0	0
0	2	0	0	0	0	1	0	0
0	0	2	0	0	0	1	0	0
0	0	0	2	0	0	1	0	0
0	0	0	0	2	0	1	0	0
0	0	0	0	0	2	1	0	0
1	0	0	0	0	0	0	0	0
0	1	0	0	0	0	0	0	0
0	0	1	0	0	0	0	0	0
0	0	0	1	0	0	0	0	0
0	0	0	0	1	0	0	0	0
0	0	0	0	0	1	0	0	0
2	0	0	0	0	0	1	0	0
0	2	0	0	0	0	1	0	0
0	0	2	0	0	0	1	0	0
0	0	0	2	0	0	1	0	0
0	0	0	0	2	0	1	0	0
0	0	0	0	0	2	1	0	0
1	0	0	0	0	0	0	0	0
0	1	0	0	0	0	0	0	0
0	0	1	0	0	0	0	0	0
0	0	0	1	0	0	0	0	0
0	0	0	0	1	0	0	0	0
0	0	0	0	0	1	0	0	0
2	0	0	0	0	0	1	0	0
0	2	0	0	0	0	1	0	0
0	0	2	0	0	0	1	0	0
0	0	0	2	0	0	1	0	0
0	0	0	0	2	0	1	0	0
0	0	0	0	0	2	1	0	0
1	0	0	0	0	0	0	0	0
0	1	0	0	0	0	0	0	0
0	0	1	0	0	0	0	0	0
0	0	0	1	0	0	0	0	0
0	0	0	0	1	0	0	0	0
0	0	0	0	0	1	0	0	0
2	0	0	0	0	0	1	0	0
0	2	0	0	0	0	1	0	0
0	0	2	0	0	0	1	0	0
0	0	0	2	0	0	1	0	0
0	0	0	0	2	0	1	0	0
0	0	0	0	0	2	1	0	0
];

y = [1 1 1 2 2 2];
z = Shuffle(y);
c = 0;
for x = 1:(length(trialTest))
    c = c+1;
    trialTest(x,8) = y(c);
    for col = 1:6
        if trialTest(x,col) > 10
            if z(c) == 1
                trialTest(x,col) = trialTest(x,col)+50;
            end
        end
    end
    if c == 6
        c = 0;
        y = Shuffle(y);
        z = Shuffle(y);
    end
end

id = [1 3 5 7 9 11];
slant = [1 1 1 0 0 0];
for x = 1:(length(trialTest))
    id = Shuffle(id);
    slant = Shuffle(slant);
    for col = 1:6
        if trialTest(x,col) > 99
            if trialTest(x,7) == 0
                trialTest(x,col) = trialTest(x,col)+200;
            end
        end
        if trialTest(x,col) == 1
            if trialTest(x,8) == 1
                trialTest(x,col) = id(col)+24;
            elseif trialTest(x,8) == 2
                trialTest(x,col) = id(col)+25;
            end
        end
        if trialTest(x,col) == 2
            if trialTest(x,8) == 1
                trialTest(x,col) = id(col)+36;
            elseif trialTest(x,8) == 2
                trialTest(x,col) = id(col)+37;
            end
        end
        if trialTest(x,col) == 0
            if trialTest(x,7) == 0;
                if slant(col) == 1
                    trialTest(x,col) = id(col)+13;
                elseif slant(col) == 0;
                    trialTest(x,col) = id(col)+12;
                end
            elseif trialTest(x,7) == 1;
                if slant(col) == 1
                    trialTest(x,col) = id(col)+1;
                elseif slant(col) == 0;
                    trialTest(x,col) = id(col);
                end
            end
        end
    end
    if c == 6
        c = 0;
        y = Shuffle(y);
        z = Shuffle(y);
    end
end

Pos = randperm(120);
trialTest3 = trialTest(121:240,:);
for x = 1:20
    pracTest(x,:) = trialTest3(Pos(x),:);
end

Pos = randperm(240);
trialTest2 = trialTest;
for x = 1:length(trialTest2)
    trialTest(x,:) = trialTest2(Pos(x),:);
end

clear trialTest2 x y c z col ans slant Pos id trialTest3